Bug 1223537 - After installation, Grub doesn't list existing systems
Summary: After installation, Grub doesn't list existing systems
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: grubby   
(Show other bugs)
Version: 24
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: RejectedBlocker https://fedoraproject...
Keywords: CommonBugs, Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-20 19:32 UTC by Giulio 'juliuxpigface'
Modified: 2017-08-08 11:58 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 11:58:01 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Giulio 'juliuxpigface' 2015-05-20 19:32:58 UTC
Description of problem:
After a new installation of Fedora 22, Grub doesn't list existing systems, if they are located on other disks.


Version-Release number of selected component (if applicable):
grubby-8.40-1.fc22.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Prepare two disks; at least one of them should have an existing Fedora system.
2. Install Fedora 22 on the empty disk making sensible choices.
3. Reboot after the installation.

Actual results:
1. By default, Grub list only the new installed Fedora.

Expected results:
1. Grub should list other systems too, even if they are located on other disks.


Additional info:
1. I found this issue while testing Fedora 22 Live KDE (Final RC1) on qemu-kvm.
2. After booting the new installed Fedora, "grub2-mkconfig -o /boot/grub2/grub.cfg" successfully creates entries in order to launch the older system.

Comment 1 Fedora Blocker Bugs Application 2015-05-20 19:48:35 UTC
Proposed as a Blocker for 22-final by Fedora user juliuxpigface using the blocker tracking app because:

 Even though I found this issue having an existing (installed) Fedora, we need to be sure that it doesn't violate:
- 2.2.10 Windows dual boot
- 2.2.11 OS X dual boot

This might be then rejected and listed as a "common bug", but we actually need to discuss about it.

Comment 2 Kevin Fenzi 2015-05-20 20:42:48 UTC
Well, the critera here would be: 

"The installer must be able to install into free space alongside an existing clean Windows installation and install a bootloader which can boot into both Windows and Fedora."

But the test case for this talks about shrinking windows and installing Fedora into that free space on the same disk, not about on a seperate disk. It would be good if someone could run https://fedoraproject.org/wiki/QA:Testcase_dualboot_with_windows and tell us if it works or not.

Comment 3 Stephen Gallagher 2015-05-21 03:05:18 UTC
I installed a copy of the Windows 10 Technical Preview on a system using a small part of the disk and then installed Fedora using the remainder of the free space (using only autopart) from the Fedora 22 Workstation Live installer.

Everything installed properly and the GRUB boot menu can boot to either Windows or Fedora (defaulting to Fedora). The only peculiarity is that the Windows boot is displayed as "Windows Recovery Environment (loader)", but that's cosmetic (and probably an artifact of using an unreleased Windows for testing).

-1 blocker; the criterion hasn't been violated.

Comment 4 Jaroslav Reznik 2015-05-21 07:00:34 UTC
-1 blocker per Stephen's comment (and maybe time to take a look on W10 TP)

Comment 5 Kamil Páral 2015-05-21 08:53:00 UTC
I took a machine with two disks. On the primary disk I installed Windows 8, on the secondary disk I installed Fedora 22 RC2 (both in BIOS mode, so that it uses MBR), and I asked anaconda to write the bootloader to the primary disk. After install, I see both Fedora and Windows in grub, and both systems boot as expected.

I think the issue described only affects two Linux installations.

Comment 6 Kamil Páral 2015-05-21 13:45:29 UTC
I have looked in the past, and there was a long discussion regarding Linux dual boot on test list last year, from August to October, named "Proposing new dual booting release criteria". You can read it here:
https://lists.fedoraproject.org/pipermail/test/

Then there was a follow-up in November:
https://lists.fedoraproject.org/pipermail/test/2014-November/123806.html

A criterion was proposed, but never fully approved and placed into our official document. It seems it just went forgotten. We can try to do better for Fedora 23, but for the moment, I don't think this can be considered a blocker. With the votes above, marking as rejected.

Thanks for reporting it though, Giulio, hopefully it will help revive the discussion and finally implement this.

Comment 7 Germano Massullo 2015-06-02 14:30:30 UTC
I am having direct and undirect feedbacks about Grub not loading other OSes even on the same hard drive.
Does anybody confirm if it related to this bugreport?

Comment 8 Fedora End Of Life 2016-07-19 14:11:02 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 9 Giulio 'juliuxpigface' 2016-07-19 20:04:32 UTC
I'm reopening this bug.

I've been hitting it during both the testing phases of Fedora 23 and Fedora 24.

Comment 10 Fedora End Of Life 2017-07-25 18:55:27 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 11 Fedora End Of Life 2017-08-08 11:58:01 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.